Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#76 1.6 B2 CVS PHP errors theme select

CVS
closed
Admin (25)
1
2008-08-30
2008-02-20
Im
No

Hi,

After a freshly installation and import of the GEDCOM, not sure where I browsed, Pedigree or Welcome page, but finally I visited the Admin page and the System Log File and I had what you can see in the attached file.
Something about themes, but I did not tried to change any themes.

Regards,
-Im

Discussion

  • Im
    Im
    2008-02-20

    System Log file, PHP Error

     
    Attachments
  • Logged In: YES
    user_id=816380
    Originator: NO

    This is fixed and in CVS. Affected file: functions.php.

    Regards,
    Boudewijn.

     
    • labels: --> Admin
    • milestone: --> CVS
    • assigned_to: nobody --> sjouke
    • status: open --> open-fixed
     
  • Im
    Im
    2008-02-21

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi,

    Just finished the install (latest CVS) and the import and went directly to the Pedigree Chart. And have this in the Log file:

    "Type","Date/time","User","Message"
    "E","21.02.2008 21:42:13","admin","ERROR 2: uasort() [<a href='function.uasort'>function.uasort</a>]: Invalid comparison function; Error occurred on line 1362 of file editconfig_gedcom.php; Using URL: /devel/gmcvs/genmod/editconfig_gedcom.php?source=add_form; 0 Error occurred on in function <b>uasort</b>;
    1 called from line <b>1362</b> of file <b>editconfig_gedcom.php</b>;
    "
    "E","21.02.2008 21:42:13","admin","ERROR 2: uasort() [<a href='function.uasort'>function.uasort</a>]: Invalid comparison function; Error occurred on line 1362 of file editconfig_gedcom.php; Using URL: /devel/gmcvs/genmod/editconfig_gedcom.php?source=add_form; "
    "I","21.02.2008 21:40:15","","Login Successful -> admin <-"

    Something persist?
    -Im

     
  • Logged In: YES
    user_id=816380
    Originator: NO

    Hi Im,

    No, it's another bug. The first occured because the theme list was not built correctly (I suspect you have more theme directories but they are empty), this error was in sorting the users to select the contact for the gedcom.
    The error is in the sort function, which is actually not needed as the list is already sorted. So... I removed this code.
    I hope it's ok now, because I couldn't reproduce the error.

    Boudewijn

     
  • Logged In: YES
    user_id=816380
    Originator: NO

    Affected file: editconfig_gedcom.php

     
  • Im
    Im
    2008-02-22

    Logged In: YES
    user_id=1262354
    Originator: YES

    Hi Boudewijn,

    Personally, i have not installed any themes. But they have been downloaded automaticly when downloaded the CVS.
    What ever is in the CVS repository, is the same as I have.

    To reproduce this code, you would need to restart the whole installation and importing the gedcom.
    That is the only way to get this error :)

    Thanks,
    -Im

     
    • priority: 5 --> 1
    • status: open-fixed --> open
     
    • summary: 1.6 B2 CVS PHP errors in the system log --> 1.6 B2 CVS PHP errors theme select
     
    • status: open --> closed